Loading...
Searching...
No Matches
starpurm_private.h File Reference

Go to the source code of this file.

## Data Structures

struct | s_starpurm

## Enumerations

enum | e_state { state_uninitialized , state_init }
enum | e_starpurm_unit_type { starpurm_unit_cpu , starpurm_unit_opencl , starpurm_unit_cuda , starpurm_unit_ntypes }

## Data Structure Documentation

## s_starpurm

struct s_starpurm

Data Fields
hwloc_topology_t | topology | Machine topology as detected by hwloc.
int | max_ncpus | Current upper bound on the number of CPU cores selectable for computing with the runtime system.
int | selected_ncpus | Number of currently selected CPU workers
int | selected_nworkers | Number of currently selected workers (CPU+devices)
int | state | Initialization state of the RM instance.
int | dynamic_resource_sharing | Boolean indicating the state of the dynamic resource sharing layer. !0 indicates that dynamic resource sharing is enabled. 0 indicates that dynamic resource sharing is disabled.
unsigned | sched_ctx_id | Id of the StarPU's sched_ctx used by the RM instance.
int | unit_ntypes | Number of unit types supported by this RM instance.
int * | nunits_by_type | Number of units available for each type.
int | nunits | Number of units.
int * | unit_offsets_by_type | Offset of unit numbering for each type.
struct s_starpurm_unit * | units | Array of units.
hwloc_cpuset_t | global_cpuset | Cpuset of all the StarPU's workers (CPU+devices.
hwloc_cpuset_t | all_cpu_workers_cpuset | Cpuset of all StarPU CPU workers.
hwloc_cpuset_t | all_opencl_device_workers_cpuset | Cpuset of all StarPU OpenCL workers.
hwloc_cpuset_t | all_cuda_device_workers_cpuset | Cpuset of all StarPU CUDA workers.
hwloc_cpuset_t | all_device_workers_cpuset | Cpuset of all StarPU device workers.
hwloc_cpuset_t | selected_cpuset | Cpuset of all selected workers (CPU+devices).
hwloc_cpuset_t | initially_owned_cpuset_mask | Cpuset mask of initially owned cpuset or full if not used.
int | max_worker_id | maximum value among worker ids
int * | worker_unit_ids | worker id to unit id table
unsigned int | max_temporary_ctxs | Temporary contexts accounting.
unsigned int | avail_temporary_ctxs |
starpu_pthread_mutex_t | temporary_ctxs_mutex |
starpu_pthread_cond_t | temporary_ctxs_cond |
int | starpu_in_pause | Global StarPU pause state
pthread_t | event_thread | Event list.
starpu_pthread_mutex_t | event_list_mutex |
starpu_pthread_cond_t | event_list_cond |
starpu_pthread_cond_t | event_processing_cond |
int | event_processing_enabled |
int | event_processing_ended |
struct s_starpurm_event * | event_list_head |
struct s_starpurm_event * | event_list_tail |